Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in libu2f-host und pam_u2f
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in libu2f-host und pam_u2f
ID: openSUSE-SU-2019:1708-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Fr, 19. Juli 2019, 12:42
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12209
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12210
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9578
Applikationen: libu2f-host, pam_u2f

Originalnachricht

   openSUSE Security Update: Security update for libu2f-host, pam_u2f
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1708-1
Rating: moderate
References: #1128140 #1135727 #1135729
Cross-References: CVE-2019-12209 CVE-2019-12210 CVE-2019-9578

Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for libu2f-host and pam_u2f to version 1.0.8 fixes the
following issues:

Security issues fixed for libu2f-host:

- CVE-2019-9578: Fixed a memory leak due to a wrong parse of init's
response (bsc#1128140).

Security issues fixed for pam_u2f:

- CVE-2019-12209: Fixed an issue where symlinks in the user's directory
were followed (bsc#1135729).
- CVE-2019-12210: Fixed file descriptor leaks (bsc#1135727).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-1708=1



Package List:

- openSUSE Leap 15.1 (x86_64):

libu2f-host-debuginfo-1.1.6-lp151.2.6.1
libu2f-host-debugsource-1.1.6-lp151.2.6.1
libu2f-host-devel-1.1.6-lp151.2.6.1
libu2f-host-doc-1.1.6-lp151.2.6.1
libu2f-host0-1.1.6-lp151.2.6.1
libu2f-host0-debuginfo-1.1.6-lp151.2.6.1
pam_u2f-1.0.8-lp151.2.3.1
pam_u2f-debuginfo-1.0.8-lp151.2.3.1
pam_u2f-debugsource-1.0.8-lp151.2.3.1
u2f-host-1.1.6-lp151.2.6.1
u2f-host-debuginfo-1.1.6-lp151.2.6.1


References:

https://www.suse.com/security/cve/CVE-2019-12209.html
https://www.suse.com/security/cve/CVE-2019-12210.html
https://www.suse.com/security/cve/CVE-2019-9578.html
https://bugzilla.suse.com/1128140
https://bugzilla.suse.com/1135727
https://bugzilla.suse.com/1135729

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung